com.genesyslab.wfm8.API.service.config852

## Class CfgAgentActivity

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgAgentActivity

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentActivity
      extends java.lang.Object
      implements java.io.Serializable

  Agent Activity information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmActivityId` Activity identifier `CfgActivity` object
    `protected double` | `wmEffectiveDate` Activity effective date (`OleDateTime`)
    `protected int` | `wmType` Agent Activity Type `ECfgAgentActivityType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentActivity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmActivityId()` Gets the value of the wmActivityId property.
    `double` | `getWmEffectiveDate()` Gets the value of the wmEffectiveDate property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `hashCode()`
    `void` | `setWmActivityId(int value)` Sets the value of the wmActivityId property.
    `void` | `setWmEffectiveDate(double value)` Sets the value of the wmEffectiveDate property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `java.lang.String` | `toString()`
    `CfgAgentActivity` | `withWmActivityId(int value)`
    `CfgAgentActivity` | `withWmEffectiveDate(double value)`
    `CfgAgentActivity` | `withWmType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmActivityId

          protected int wmActivityId

      Activity identifier `CfgActivity` object

    - #### wmType

          protected int wmType

      Agent Activity Type `ECfgAgentActivityType`

    - #### wmEffectiveDate

          protected double wmEffectiveDate

      Activity effective date (`OleDateTime`)

  - ### Constructor Detail

    - #### CfgAgentActivity

          public CfgAgentActivity()

  - ### Method Detail

    - #### getWmActivityId

          public int getWmActivityId()

      Gets the value of the wmActivityId property.

    - #### setWmActivityId

          public void setWmActivityId(int value)

      Sets the value of the wmActivityId property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmEffectiveDate

          public double getWmEffectiveDate()

      Gets the value of the wmEffectiveDate property.

    - #### setWmEffectiveDate

          public void setWmEffectiveDate(double value)

      Sets the value of the wmEffectiveDate property.

    - #### withWmActivityId

          public CfgAgentActivity withWmActivityId(int value)

    - #### withWmType

          public CfgAgentActivity withWmType(int value)

    - #### withWmEffectiveDate

          public CfgAgentActivity withWmEffectiveDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.